#
# spec file for package yast2-squid
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-squid
Version:        3.1.5
Release:        2.3

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Requires:       yast2 >= 2.21.22
BuildRequires:  boost-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-core-devel
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite

#BuildArchitectures:	noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        Configuration of squid
License:        GPL-2.0
Group:          System/YaST

%description
Configuration of squid

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

rm -rf %{buildroot}/%{yast_plugindir}/libpy2ag_squid.la

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/squid
%config /etc/sysconfig/SuSEfirewall2.d/services/squid
%{yast_yncludedir}/squid/*
%{yast_clientdir}/squid.rb
%{yast_clientdir}/squid_*.rb
%{yast_moduledir}/Squid.*
%{yast_moduledir}/SquidACL.*
%{yast_moduledir}/SquidErrorMessages.*
%{yast_desktopdir}/squid.desktop
%{yast_schemadir}/autoyast/rnc/squid.rnc

%{yast_plugindir}/libpy2ag_squid.so*
%{yast_scrconfdir}/*.scr
%doc %{yast_docdir}

%changelog
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.5
* Thu Jul  2 2015 jreidinger@suse.com
- remove obsolete emulate_http_log config option (bnc#928896)
- 3.1.4
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Apr  4 2014 jreidinger@suse.com
- Adapt to new paths to error pages messages (bnc#871873)
- 3.1.3
* Mon Mar 31 2014 locilka@suse.com
- Old testsuites adapted to the new Service/Systemd
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Apr 18 2013 locilka@suse.com
- Do not block squid configuration if SuSEfirewall can't be read
  (bnc#808722)
- 2.21.3
* Thu Mar 29 2012 jsuchome@suse.cz
- merge proofread texts
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Sep 28 2011 visnov@suse.cz
- set dialog title
- 2.21.2
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Fri Jul  8 2011 jsrain@suse.cz
- fixed typo (bnc#703240)
- 2.21.1
* Mon Jun 27 2011 jreidinger@novell.com
- use ButtonBox instead of HBox for OK/Cancel buttons (bnc#701271)
- 2.21.0
* Wed May  4 2011 jsrain@suse.cz
- fixed typos (bnc#690239)
* Fri Feb 26 2010 jsrain@suse.cz
- fixed translations of language names (bnc#580494)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Mon Jan 12 2009 jsrain@suse.de
- marked one more missing text for translation (bnc #446808)
- 2.17.10
* Fri Jan  9 2009 jsrain@suse.de
- fixed language label (bnc #464712)
- 2.17.9
* Wed Dec 10 2008 jsrain@suse.cz
- added missing translation mark (bnc #456461)
- 2.17.8
* Mon Dec  8 2008 jsrain@suse.cz
- some more missing texts marked for translations (bnc #446814)
- 2.17.7
* Fri Dec  5 2008 jsrain@suse.cz
- add translations of squid error language names (bnc #447020)
- 2.17.6
* Thu Dec  4 2008 jsrain@suse.cz
- marked even more missing texts for translations (bnc #447014)
* Wed Nov 26 2008 jsrain@suse.cz
- marked more missing texts for translations (bnc #446809)
- 2.17.5
* Tue Nov 25 2008 jsrain@suse.cz
- marked missing texts for translations (bnc #446993)
- 2.17.4
* Mon Nov  3 2008 jsrain@suse.cz
- fixed button labels (bnc #440539)
- 2.17.3
* Fri Oct 24 2008 jsrain@suse.cz
- reduced package dependencies
- 2.17.2
* Tue Sep 30 2008 jsrain@suse.cz
- fixed writing the settings (bnc #421100)
- 2.17.1
* Fri Jun  6 2008 jsrain@suse.cz
- fixed several typos
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Fri Apr 11 2008 jsrain@suse.cz
- more texts fixes (bnc #377805)
* Wed Apr  2 2008 jsrain@suse.cz
- fixed some texts (bnc #373131, bnc #373103, bnc #373109)
* Fri Mar 21 2008 jsrain@suse.cz
- changed 'Accept' button to 'Finish' (fate #120373)
- 2.16.3
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.2
* Thu Jan 17 2008 jsrain@suse.cz
- fixed typo in error message (#352267)
- 2.16.1
* Fri Oct 19 2007 dfiser@suse.cz
- Fixed problem with OpenFirewallWidget. (It did not open port on
  firewall)
- Created new SCR agent for squid.conf file.
- v2.16.0
* Tue Sep 11 2007 dfiser@suse.cz
- Fixed bug in autoyast client (it did not write configuration to
  system).
- Changed appereance beacause of ncurses 80x25.
- v2.15.5
* Mon Sep 10 2007 dfiser@suse.cz
- Added possibility to open configured ports in firewall.
- Changed alignment and position of some widgets.
- v2.15.4
* Tue Sep  4 2007 dfiser@suse.cz
- Added .rnc schema file (bug #304267).
- Removed some checks of local system if module is running as
  autoyast client. In autoyast, Squid module is filled with default
  values. (bug #304264)
- v2.15.3
* Tue Aug 28 2007 dfiser@suse.cz
- Added checking of more input data (bug #304314).
- Changed workflow to DialogTree-based dialogs.
- Squid::StartService now uses Service::Restart instead of
  Service::Reload (bug #304278).
- Added possibility to enable/disable service (bug #304271).
- Read dialog now shows more than one stage.
- Added checking whether the squid package is installed (bug #304261).
- v2.15.2
* Fri Aug 17 2007 dfiser@suse.cz
- Layout improvement.
- Changed SquidErrorMessages module to use .target.dir agent +
  FileUtils module.
- v2.15.1
* Wed Aug 15 2007 dfiser@suse.cz
- initial version
- v2.15.0
